## File transfer Metadata interface

File transfer Metadata interface — GInterface to implement metadata file transfer interface

## Types and Values

| TpSvcChannelInterfaceFileTransferMetadata
| TpSvcChannelInterfaceFileTransferMetadataClass

## Object Hierarchy

        GInterface
        ╰── TpSvcChannelInterfaceFileTransferMetadata

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

The Metadata file transfer channel interface exists to provide a mechanism to include arbitrary additional information in file transfers. For example, one might want to send a document and include the number of times the character P appeared in the file, so would add NumberOfPs=42 to the Metadata property.

## Functions

## Types and Values

### TpSvcChannelInterfaceFileTransferMetadata

    typedef struct _TpSvcChannelInterfaceFileTransferMetadata TpSvcChannelInterfaceFileTransferMetadata;

Dummy typedef representing any implementation of this interface.

### TpSvcChannelInterfaceFileTransferMetadataClass

    typedef struct _TpSvcChannelInterfaceFileTransferMetadataClass TpSvcChannelInterfaceFileTransferMetadataClass;

The class of TpSvcChannelInterfaceFileTransferMetadata. This interface has no D-Bus methods, so an implementation can typically pass `NULL` to `G_IMPLEMENT_INTERFACE()` as the interface initialization function.